@use "../theme";

.pagination {
    $self: &;
    margin-top: 2rem;

    // If page is loading, disable the pagination
    &.htmx-request {
        #{ $self }__list__link {
            pointer-events: none;
            background-color: rgb(238, 238, 238);
            color: rgb(158, 158, 158);
            cursor: default;
            filter: brightness(100%);
        }
    }

    &__list {
        display: flex;
        flex-direction: row;
        list-style: none;
        padding: 0;
        flex-wrap: wrap;

        &__link {
            display: flex;
            justify-content: center;
            align-items: center;
            background-color: rgb(224, 228, 234);
            border: none;
            color: rgb(33, 33, 33);
            cursor: pointer;
            font-size: 0.875rem;
            height: 40px;
            width: 40px;
            margin-right: 0.125rem;
            user-select: none;
            text-decoration: none;

            &:not([href]) {
                pointer-events: none;
                background-color: rgb(238, 238, 238);
                color: rgb(158, 158, 158);
                cursor: default;
                filter: brightness(100%);
            }

            &[aria-current] {
                background-color: theme.$colorBrand;
                border: none;
                color: rgb(250, 250, 250);
            }

            &:hover {
                filter: brightness(90%);
            }
        }


        &__spacer {
            display: inline-flex;
            align-items: center;
            justify-content: center;
            text-align: center;
            user-select: none;
            color: theme.$colorPaletteGray800;
            background-color: transparent;
            border: none;
            font-size: 0.5rem;
            margin-right: 0.125rem;
            height: 40px;
            width: 22px;

            @media only screen and (min-width: theme.$sm) {
                width: 40px;
                font-size: theme.$fontSizeSmall;
            }
        }
    }
}
